<template>
    <div class="container py-5 h-100">
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-12 col-md-8 col-lg-6 col-xl-5">
          <div class="card bg-dark text-white" style="border-radius: 1rem;">
            <div class="card-body p-5 text-center">
  
              <div class="mb-md-5 mt-md-4 pb-5">
  
                <h2 class="fw-bold mb-2 text-uppercase">Sign Up</h2><br>

                <div class="form-outline form-white mb-4">
                  <label class="form-label" for="typeEmailX">User Name</label>
                  <input type="email" id="typeEmailX" class="form-control form-control-lg" v-model="username"/>
                </div>
  
                <div class="form-outline form-white mb-4">
                  <label class="form-label" for="typeEmailX">Email</label>
                  <input type="email" id="typeEmailX" class="form-control form-control-lg" v-model="email"/>
                </div>
  
                <div class="form-outline form-white mb-4">
                  <label class="form-label" for="typePasswordX">Password</label>
                  <input type="password" id="typePasswordX" class="form-control form-control-lg" v-model="password"/>
                </div>

                <div class="form-outline form-white mb-4">
                  <label class="form-label" for="typePasswordX">Confirm your password</label>
                  <input type="password" id="typePasswordX" class="form-control form-control-lg" v-model="password_confirm"/>
                </div>
  
                <button @click="handleSubmit" class="btn btn-outline-light btn-lg px-5" type="submit">Register</button>
  
              </div>

              <div>
                <p class="mb-0">You have an account? <a href="/login" class="text-white-50 fw-bold">Sign In</a>
                </p>
              </div>
  
            </div>
          </div>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  export default {
    name: "Register",
    data(){
        return{
            username:'',
            email:'',
            password:'',
            password_confirm:'',
            role: "employee"
        }
    },
    methods: {
        async handleSubmit(){
          const response = await fetch('http://localhost:4000/auth/sign_up', {
            method: "POST",
              headers: {
              Accept: "application/json",
              "Content-type": "application/json",
            },
            body: JSON.stringify({
              user: {
                username: this.username,
                email: this.email,
                password: this.password,
                password_confirm: this.password_confirm,
                role: this.role
              }
            })
          });
          if (response.status == 201) { // si je cree correctement mon compte
            this.$router.push('/login');
          }
        }
    }
  };
  </script>